com.google.appengine.api.search.dev

## Class ExpressionBuilder.EmptyExpression

- java.lang.Object
- - com.google.appengine.api.search.dev.Expression
  - - com.google.appengine.api.search.dev.ExpressionBuilder.EmptyExpression

- Enclosing class:
    ExpressionBuilder

      public static class ExpressionBuilder.EmptyExpression
      extends Expression

  Empty Expression, which is evaluated if the input string was empty.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.appengine.api.search.dev.Expression

      `Expression.Sorter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpressionBuilder.EmptyExpression()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FieldValue` | `eval(Document doc)` Evaluate the expression to field value proto for the specified document.
    `java.util.List<Expression.Sorter>` | `getSorters(int sign, double dfltD, java.lang.String dfltT)` Get list of sort classes for the expression.

    - ### Methods inherited from class com.google.appengine.api.search.dev.Expression

      `makeValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpressionBuilder.EmptyExpression

          public ExpressionBuilder.EmptyExpression()

  - ### Method Detail

    - #### eval

          public FieldValue eval(Document doc)
                          throws EvaluationException

      Description copied from class: `Expression`
      Evaluate the expression to field value proto for the specified document.
      Specified by:
        `eval` in class `Expression`
      Throws:
        `EvaluationException`

    - #### getSorters

          public java.util.List<Expression.Sorter> getSorters(int sign,
                                                     double dfltD,
                                                     java.lang.String dfltT)

      Description copied from class: `Expression`
      Get list of sort classes for the expression. Usually it contains just one element, but for field expressions it can potentially return 2 sorters when both numeric and text fields exist with a field name.
      Specified by:
        `getSorters` in class `Expression`